---
title: RTCRtpStreamStats.pliCount
slug: Web/API/RTCRtpStreamStats/pliCount
tags:
  - API
  - Data Loss
  - Media
  - PLI
  - Packet Loss
  - Packet Loss Indication
  - Property
  - RTCRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - Streams
  - WebRTC
  - WebRTC API
  - pliCount
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>pliCount</code></strong> property of the {{domxref("RTCRtpStreamStats")}} dictionary states the number of times the stream's receiving end sent a <strong>Picture Loss Indication</strong> (<strong>PLI</strong>) packet to the sender.</span> A PLI packet indicates that some amount of encoded video data has been lost for one or more frames.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>pliCount</em> = <em>RTCRtpStreamStats</em>.pliCount;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the number of times a PLI packet was sent by the stream's receiver to the sender.</p>

<p>A PLI message is used by video decoders (running on the receiving end of the stream) to notify the encoder (the sender) that an undefined amount of coded video data, which may span frame boundaries, has been lost.</p>

<p>This may trigger the sender to send a full frame in order to allow the receiver to re-synchronize, since lost data may be an irrecoverable situation for decoding media. However, the primary purpose of this message is to allow the sender to consider techniques to mitigate network performance issues. This is often achieved by methods such as increasing the compression, lowering resolution, or finding other ways to reduce the bit rate of the stream.</p>

<div class="note">
<p><strong>Note:</strong> This value is only available on the receiver, and only for video media.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-plicount', 'RTCInboundRtpStreamStats: pliCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcoutboundrtpstreamstats-plicount', 'RTCOutboundRtpStreamStats: pliCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpStreamStats.pliCount")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(4585, "6.3.1")}}: Definition of "PLI messages" in the document <em>Extended RTP Profile for Real-time Transport Control Protocol (RTCP)-Based Feedback (RTP/AVPF)</em>.

 </li>
</ul>
